Bug 438940 - FC9b Anaconda fails on liveinst - multipath attribute error on SATA raid configuration
FC9b Anaconda fails on liveinst - multipath attribute error on SATA raid conf...
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-03-25 22:00 EDT by Rolf Poser
Modified: 2008-08-04 10:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-04 10:34:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Anaconda dump (31.83 KB, text/plain)
2008-03-25 22:00 EDT, Rolf Poser
no flags Details

  None (edit)
Description Rolf Poser 2008-03-25 22:00:25 EDT
Description of problem:

FC 9 beta : Live install fails with anaconda reporting error on multipath:
"AttributeError: MultiPath instance has no attribute '__getitem__'"

How to reproduce:

Trying to run liveinst on system with Intel SATA raid configuration
Comment 1 Rolf Poser 2008-03-25 22:00:25 EDT
Created attachment 299087 [details]
Anaconda dump
Comment 2 Jeremy Katz 2008-03-25 22:13:52 EDT
Running 'liveinst --nompath' should work around.  But it should also get fixed
Comment 3 Rolf Poser 2008-03-25 22:15:12 EDT
Looks like it is related to bug # 432362, sorry only saw this now... 
Comment 4 Rolf Poser 2008-03-25 22:28:45 EDT
'liveinst --nompath' doesn't resolve it I'm afraid
Comment 5 Rolf Poser 2008-03-25 22:35:50 EDT
The work-around mentioned in bug #432362 worked for me! Reprioritized to low
Comment 6 Bug Zapper 2008-05-14 02:51:37 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
Comment 7 Andy Lindeberg 2008-06-02 16:35:02 EDT
Is this still a problem in the final release?

Note You need to log in before you can comment on or make changes to this bug.